function [latmax,lonmax]=apex(lat1,lon1,lat2,lon2)

% [LATMAX,LONMAX]=APEX(LAT1,LON1,LAT2,LON2)
% Calculates the northernmost point on the great circle connecting
% the two points
% Written by Hrafnkell Karason, karason@mit.edu

d = acos(sin(lat1).*sin(lat2)+cos(lat1).*cos(lat2).*cos(lon1-lon2));
tc1 = acos((sin(lat2)-sin(lat1).*cos(d))./(sin(d).*cos(lat1)));
latmax=acos(abs(sin(tc1).*cos(lat1)));

l12	=lon1-lon2;
A	=sin(lat1).*cos(lat2).*cos(latmax).*sin(l12);
B	=sin(lat1).*cos(lat2).*cos(latmax).*cos(l12)-cos(lat1).*sin(lat2).*cos(latmax);

lonex	=atan2(B,A);
lonmax  = lon1+lonex+(sin(l12)<0)*pi;
lonmax=rem(lonmax,2*pi)+(lonmax<0)*2*pi;
