function [xgr,ygr,rgr,dgr,dVl,II,D,xmoho,ymoho,xtopo,ytopo,ytopo2]=arrangecross(dV,lon1,lat1,lon2,lat2,nx,ny,longerway,rth,ifcrust,sldef)

global mr maxr minr dv20 v0 ds_all

defval('longerway',0);
defval('rth',0);

[II,D]=getcross(lon1,lat1,lon2,lat2,longerway);
Dtot=max(D(:));

r=mr(II);
maxrin=maxr(II);
minrin=minr(II);

d=mean(D);
dVV=dV(II);

% for the value of the 3D crust
if 0 %ifcrust
%    dVVin=dv20(II)./v0(II);
% the factor of updated crustal block
   R = ones(length(dV),1)';
   dV_ref = -ds_all.*v0./(ds_all.*v0+1);
   crust_ii = find(ds_all~=0);
   R(crust_ii) = (dV(crust_ii)+1)./(dV_ref(crust_ii)*0.3+1);
   RR = R(II);
   [rnew,delnew,dvnew,h4]=crurec2(r,d,RR,Dtot,sldef);
%  rull out the blocks for 3D crust
%    ii=find(RR~=1);
%    r(ii)=[];
%    d(ii)=[];
%    dVV(ii)=[];   
% 
%    maxrin(ii)=[];
%    minrin(ii)=[];
%    D(:,ii)=[];  
   
    rmoho=6371-h4;

    dgr=linspace(min(d),max(d),nx);
    rmoho2=interp1(linspace(1,nx,length(rmoho)),rmoho,[1:nx]);
    [xmoho,ymoho] = pol2cart(Dtot/2-dgr+pi/2,rmoho2); %% polor 
   
   % for the value at boundary
    irmin=find(minrin==3479.5);

    Ill=find(minrin==3479.5);
    Ilr=find(minrin==3479.5);

    [dum,Itmp]=min(D(1,Ill));Ill=Ill(Itmp(1));
    [dum,Itmp]=max(D(2,Ilr));Ilr=Ilr(Itmp(1));

    r=  [r    minrin(irmin)   3479.5 3479.5];
    d=  [d    d(irmin)        0     Dtot ];
    dVV=[dVV  dVV(irmin)      dVV([Ill Ilr])];

    irleft=find(D(1,:)==0);
    irright=find(D(2,:)==Dtot);

    r=  [r      r(irleft)                r(irright)];
    d=  [d      repmat(0,size(irleft))   repmat(Dtot,size(irright))];
    dVV=[dVV    dVV(irleft)              dVV(irright)];

else
    rnew=[];
    delnew=[];
    dvnew=[];
    xmoho=[];
    ymoho=[];
    
irleft=find(D(1,:)==0);
irright=find(D(2,:)==Dtot);

r=  [r   mr(II(irleft))         mr(II(irright))];
d=  [d   repmat(0,size(irleft)) repmat(Dtot,size(irright))];
dVV=[dVV dV(II(irleft))         dV(II(irright))];

   
irmax=find(maxr(II)==6371);
irmin=find(minr(II)==3479.5);
% 
% Iul=find(maxr(II)==6371 & D(1,:)==0);
% Ill=find(minr(II)==3479.5 & D(1,:)==0);
% Iur=find(maxr(II)==6371 &  D(2,:)==Dtot);
% Ilr=find(minr(II)==3479.5 & D(2,:)==Dtot);
% 
Iul=find(maxr(II)==6371);
Ill=find(minr(II)==3479.5); %MIT
Iur=find(maxr(II)==6371);
Ilr=find(minr(II)==3479.5); %MIT


% 
[dum,Itmp]=min(D(1,Iul));Iul=Iul(Itmp(1));
[dum,Itmp]=min(D(1,Ill));Ill=Ill(Itmp(1));
[dum,Itmp]=max(D(2,Iur));Iur=Iur(Itmp(1));
[dum,Itmp]=max(D(2,Ilr));Ilr=Ilr(Itmp(1));

r=  [r   maxr(II(irmax)) minr(II(irmin)) 6371 6371 3479.5 3479.5];
d=  [d   d(irmax)        d(irmin)        0     Dtot  0     Dtot];
dVV=[dVV dV(II(irmax))   dV(II(irmin))   dV(II([Iul Iur Ill Ilr]))];


%[h4]=getmoho(sldef);
%nslice=length(h4);

%rmoho=6371-h4;

dgr=linspace(min(d),max(d),nx);
%rmoho2=interp1(linspace(1,nx,length(rmoho)),rmoho,[1:nx]);
%[xmoho,ymoho] = pol2cart(Dtot/2-dgr+pi/2,rmoho2); %% polor 

end

[topo] = gettopography(sldef);
% topo(find(topo<0)) = 0;

if (max(d)-min(d))>12*pi/180;
    aa = 150;  
else
    aa = 60;   
end



rtopo = 6371 + aa + topo/50;
dgr=linspace(min(d),max(d),nx);
rtopo2=interp1(linspace(1,nx,length(rtopo)),rtopo,[1:nx]);
rtopo3=interp1(linspace(1,nx,length(rtopo)),(6371+aa)*ones(length(rtopo),1),[1:nx]);
[xtopo,ytopo] = pol2cart(Dtot/2-dgr+pi/2,rtopo2); %% polor 
[xtopo,ytopo2] = pol2cart(Dtot/2-dgr+pi/2,rtopo3); %% polor 



% add the 3D stucture
r=[r rnew];
d=[d delnew];
dVV=[dVV dvnew];

[x,y] = pol2cart(Dtot/2-d+pi/2,r); %% polor 

if rth,
  rgr=linspace(min(r),max(r),ny);
  dgr=linspace(min(d),max(d),nx);
  [dggr,rggr]=meshgrid(dgr,rgr');
  [xgr,ygr]=pol2cart(Dtot/2-dggr+pi/2,rggr);  %% polor
  dVl=griddata(x,y,dVV,xgr,ygr);    %% griddata
else  
  xgr=linspace(min(x),max(x),nx);
  ygr=linspace(min(y),max(y),ny);
  dVl=griddata(x,y,dVV,xgr,ygr','cubic');

  [xxgr,yygr]=meshgrid(xgr,ygr');
  rr=sqrt(xxgr.^2+yygr.^2);
  dVl(rr<3479.5)=nan;
  %disp('this is it')
  rgr=[];
  dgr=[];
end
