function [c,b]=distfromgrc(endpts,lon,lat)
%Calculates the distance from the grc defined by endpts (b)
%and the distance to the intersection (c)


lon1=endpts(1);
lat1=endpts(2);
lon2=endpts(3);
lat2=endpts(4);

azgrc=grcgetazim(lon1,lat1,lon2,lat2);
azpts=grcgetazim(lon1,lat1,lon,lat);

B=azpts-azgrc;
a=grcdistance(lon1,lat1,lon,lat);

c=acos(cos(a).*sqrt(1./(1-sin(a).^2.*sin(B).^2)));

b=acos(cos(a)./cos(c));

