function [klat,klon]=divide(longc,latgc,longr,latgr,even)

% [KLAT,KLON]=DIVIDE(LONGC,LATGC,LONGR,LATGR,EVEN)
% KLAT and KLON are the cell numbers of the greate circle
% segments described by LONGC and LATGC, based on 
% intersections with the grid, LONGR and LATGR. 
% If EVEN is nonzero, the intervals in LONGR and LATGR
% are assumed to be constant.
% Written by Hrafnkell Karason, karason@mit.edu

nc=length(latgc);
nlatgr=length(latgr);
nlongr=length(longr);



mlat=(latgc(1:nc-1)+latgc(2:nc))/2;
mlon=(longc(1:nc-1)+longc(2:nc))/2;

s=find(longc==0);
if length(s)>0
	mlon([s-1;s])=mlon([s-1;s])+[longc(s-1)>longc(s+1);longc(s+1)>longc(s-1)]*pi;
end		



if even,
  dlon=min(diff(longr));
  dlat=min(diff(latgr));


  klat=ceil((mlat+pi/2)/dlat);
  klon=ceil(mlon/dlon);
else
  

  klat=zeros(length(mlon),1);
  klon=zeros(length(mlon),1);

  [dum,grindx]=sort(mlon);
  i=2;
  for j=1:length(mlon), 
    while (mlon(grindx(j))>longr(i)) 
      i=i+1;
    end
    klon(grindx(j))=i-1;
  end

  [dum,grindx]=sort(mlat);
  i=2;
  for j=1:length(mlat), 
    while (mlat(grindx(j))>latgr(i)) 
      i=i+1;
    end
    klat(grindx(j))=i-1;
  end
end

%D=full(sparse(klat,klon,dd,nlatgr-1,nlongr));
