function [II,D]=getcross(lon1,lat1,lon2,lat2,longerway)
%% II is id of each irregular cell, and D is the angel of start and end point for each cell.
global mlon mlat minlon maxlon minlat maxlat  nlon nlat dlon dlat longr latgr

defval('longerway',0);
%longerway=3;

[lonint,latint]=grcallinters(lon1,lat1,lon2,lat2,nlon,nlat);
[latmax,lonmax]=apex(lat1,lon1,lat2,lon2);
latmin=-latmax;
del1=grcdistance(lonint(1,2),lonint(1,3),lon1,lat1);
del2=grcdistance(lonint(1,2),lonint(1,3),lon2,lat2);
dellatmax=grcdistance(lonint(1,2),lonint(1,3),lonmax,latmax);
dellatmin=grcdistance(lonint(1,2),lonint(1,3),mod(lonmax+pi,2*pi),-latmax);

del1(lon1>pi)=2*pi-del1(lon1>pi);
del2(lon2>pi)=2*pi-del2(lon2>pi);
dellatmax(lonmax>pi)=2*pi-dellatmax(lonmax>pi);
dellatmin(mod(lonmax+pi,2*pi)>pi)=2*pi-dellatmin(mod(lonmax+pi,2*pi)>pi);

highdel=max(del1,del2);
[lowdel,whichlow]=min([del1 del2]);


latcrminlon=lonint(round(minlon/dlon)+1,3)';
latcrmaxlon=lonint(round(maxlon/dlon)+1,3)';

above=latcrminlon>maxlat & latcrmaxlon>maxlat;
beneath=latcrminlon<minlat & latcrmaxlon<minlat;

II=(find(~(above | beneath)));

if longerway==3
  dels=[
  lonint(round(minlon(II)/dlon)+1,4)';
  lonint(round(maxlon(II)/dlon)+1,4)';
  latint(round((minlat(II)+pi/2)/dlat)+1,4)';
  latint(round((maxlat(II)+pi/2)/dlat)+1,4)';  
  latint(round((minlat(II)+pi/2)/dlat)+1,8)';
  latint(round((maxlat(II)+pi/2)/dlat)+1,8)'];

delm=grcdistance(lonint(1,2),lonint(1,3),mlon(II),mlat(II));
delm(mlon(II)>pi)=2*pi-delm(mlon(II)>pi);

[dum,Id]=sort(abs(dels-repmat(delm,6,1)),1);
[m,n]=size(dels);

D=[dels(Id(1,:)+m*(0:n-1));dels(Id(2,:)+m*(0:n-1))];

D=sort(D,1);
else
  

if highdel-lowdel<pi,
  if dellatmax<lowdel | dellatmax>highdel,
    latmax=max(lat1,lat2);
  end
  if dellatmin<lowdel | dellatmin>highdel,
    latmin=min(lat1,lat2);
  end
  II=II(find(maxlon(II)>min(lon1,lon2) & minlon(II)<max(lon1,lon2)));
  II=II(find(maxlat(II)>latmin & minlat(II)<latmax ));
else
  if dellatmax>lowdel & dellatmax<highdel,
    latmax=max(lat1,lat2);
  end
  if dellatmin>lowdel & dellatmin<highdel,
    latmin=min(lat1,lat2);
  end
  II=II(find(minlon(II)<min(lon1,lon2) | maxlon(II)>max(lon1,lon2)));
  II=II(find(maxlat(II)>latmin & minlat(II)<latmax ));
end


IIs1=minlon(II)<lon1 & maxlon(II)>lon1 & minlat(II)<lat1 & maxlat(II)>lat1;
IIs2=minlon(II)<lon2 & maxlon(II)>lon2 & minlat(II)<lat2 & maxlat(II)>lat2;

IIm=II(~(IIs1 | IIs2));
IIs1=II(IIs1);
IIs2=II(IIs2);

dels=[
  lonint(round(minlon(II)/dlon)+1,4)';
  lonint(round(maxlon(II)/dlon)+1,4)';
  latint(round((minlat(II)+pi/2)/dlat)+1,4)';
  latint(round((maxlat(II)+pi/2)/dlat)+1,4)';  
  latint(round((minlat(II)+pi/2)/dlat)+1,8)';
  latint(round((maxlat(II)+pi/2)/dlat)+1,8)'];

delm=grcdistance(lonint(1,2),lonint(1,3),mlon(II),mlat(II));
delm(mlon(II)>pi)=2*pi-delm(mlon(II)>pi);

[dum,Id]=sort(abs(dels-repmat(delm,6,1)),1);
[m,n]=size(dels);

D=[dels(Id(1,:)+m*(0:n-1));dels(Id(2,:)+m*(0:n-1))];

D=sort(D,1);
if highdel-lowdel<pi,
 D(D<lowdel)=lowdel;
 D(D>highdel)=highdel;
 %lontest=interp1(lonint(:,4),lonint(:,2),D(:));
 %lattest=interp1(lonint(:,4),lonint(:,3),D(:));
 if whichlow==1,
   D=D-del1;
 else
   D=del1-D([2 1],:);
 end
 
else 
 D(D>lowdel  & D<pi)=lowdel;
 %D(D>lowdel)=lowdel;
 D(D<highdel & D>pi)=highdel;
 %lontest=interp1(lonint(:,4),lonint(:,2),D(:));
 %lattest=interp1(lonint(:,4),lonint(:,3),D(:));
 D(D<pi)=D(D<pi)+2*pi;
 if whichlow==1,
   del1=del1+2*pi;
   D=del1-D([2 1],:);
 else
   D=D-del1;
 end
end

end
%DD=abs(D(1,:)-D(2,:));

% break
return 

gridx=[minlon(II); minlon(II); maxlon(II); maxlon(II); minlon(II); repmat(nan,size(II))];
gridy=[minlat(II); maxlat(II); maxlat(II); minlat(II); minlat(II); repmat(nan,size(II))];
load con
figure(1)
clf
hold on
plot(conlon,conlat,'k')
plot(lonint(:,2),lonint(:,3),'r')
plot(gridx(:),gridy(:),'g');
plot([lon1 lon2],[lat1 lat2],'mh','markersize',12,'markerfacecolor','m')
%plot(lontest,lattest,'bx');
axis image

% break
return

igc=II;
gridx=[minlon(igc); minlon(igc); maxlon(igc); maxlon(igc); minlon(igc); repmat(nan,size(igc))];
gridy=[minlat(igc); maxlat(igc); maxlat(igc); minlat(igc); minlat(igc); repmat(nan,size(igc))];


figure(2)
clf
plot(mlon(igc),mlat(igc),'mo')
hold on
plot(conlon,conlat,'k');
%,longc,latgc,'b',longc,latgc,'rx')
hh=plot(gridx(:),gridy(:),'b');
axis image
