function [h4] = getmoho(sldef);
%% get a slice of 3D crust relative to ak135;
%% input: the definition of slice ef: sldef=[[94 32 473 40]*pi/180 160 160 0];% sldef=[[92 35 430 40]*pi/180 160 160 0];
%% output: h4 -- thickness of crust; hpn -- depth for dvpn; dvcrust -- velocity variation of crust
%%         dvpn -- velocity variation of Pn;

% load 3D crust model
load /quake/data12/changli/tomo/regrid/oldstuff/gridsums0220/crust3d/crustall lat1 lon1 dep7 
% ngrx = 400;
% ngry = 400;
% sldef(1,:)=[[70 18 70+1e-5 45]*pi/180 ngrx ngry 1];
% sldef(1,:)=[[70 12  87 46]*pi/180 ngrx ngry 1];
% sldef(1,:)=[[77 12  93 45]*pi/180 ngrx ngry 1];
% sldef(1,:)=[[83 12  100 44]*pi/180 ngrx ngry 1];

% project on longr and latgr
[lonb, latb,lone,late,nx,ny]=evalsldef(sldef);
longr=linspace(lonb,lone,nx)';
latgr=linspace(latb,late,ny)';
[longc,latgc]=grcircle(lonb,latb,lone,late,longr,latgr);  
latgc=latgc*180/pi;  longc=longc*180/pi;
lonb=lonb*180/pi; latb=latb*180/pi; lone=lone*180/pi; late=late*180/pi;

% interpalate for the slice
ii=find(lon1(:,1)>(min(longc)-3) & lon1(:,1)<(max(longc)+3));
jj=find(lat1(1,:)>(min(latgc)-3) & lat1(1,:)<(max(latgc)+3));
% ii=find(lon1(:,1)>(min(lonb,lone)-3) & lon1(:,1)<(max(lonb,lone)+3));
% jj=find(lat1(1,:)>(min(latb,late)-3) & lat1(1,:)<(max(latb,late)+3));

lon1_in = lon1(ii,jj);
lat1_in = lat1(ii,jj);
dep7_in = dep7(ii,jj);
% h1 = griddata(lon1(ii,jj),lat1(ii,jj),dep4(ii,jj),longc,latgc);
% h4 = griddata(lon1_in,lat1_in,dep7_in,longc,latgc);
h4 = interp2(lon1_in',lat1_in',dep7_in',longc,latgc);
