function [lonint,latint]=grcallinters(lon1,lat1,lon2,lat2,nlon,nlat);


longr=linspace(0,2*pi,nlon+1)';
latgr=linspace(-pi/2,pi/2,nlat+1)';



[glon1,glat1,gdel1]=grcircle(lon1,              lat1, lon2,              lat2,longr(:),[]);
[glon2,glat2,gdel2]=grcircle(mod(lon1+pi,2*pi),-lat1, lon2,              lat2,longr(:),[]);
[glon3,glat3,gdel3]=grcircle(mod(lon1+pi,2*pi),-lat1, mod(lon2+pi,2*pi),-lat2,longr(:),[]);
[glon4,glat4,gdel4]=grcircle(lon1,              lat1, mod(lon2+pi,2*pi),-lat2,longr(:),[]);


glon=[glon1;glon2;glon3;glon4];
glat=[glat1;glat2;glat3;glat4];

gnr=glon/2/pi*(nlon)+1;
I=find(abs(gnr-round(gnr))<1e-6);
gnr=round(gnr(I));
glon=glon(I);
glat=glat(I);

[gnr,I]=unique(gnr);
glat=glat(I);
glon=glon(I);

gdel=real(grcdistance(glon(1),glat(1),glon,glat));
gdel(glon>pi)=2*pi-gdel(glon>pi);





[clon1,clat1,cdel1]=grcircle(lon1,              lat1, lon2,              lat2,[],latgr(:));
[clon2,clat2,cdel2]=grcircle(mod(lon1+pi,2*pi),-lat1, lon2,              lat2,[],latgr(:));
[clon3,clat3,cdel3]=grcircle(mod(lon1+pi,2*pi),-lat1, mod(lon2+pi,2*pi),-lat2,[],latgr(:));
[clon4,clat4,cdel4]=grcircle(lon1,              lat1, mod(lon2+pi,2*pi),-lat2,[],latgr(:));


clon=[clon1;clon2;clon3;clon4];
clat=[clat1;clat2;clat3;clat4];

[clon,I]=sort(clon);
clat=clat(I);


cnr=(clat+pi/2)/pi*nlat+1;
I=find(abs(cnr-round(cnr))<1e-6);
cnr=round(cnr(I));
clon=clon(I);
clat=clat(I);

cdel=grcdistance(glon(1),glat(1),clon,clat);
cdel(clon>pi)=2*pi-cdel(clon>pi);


[cdel,I]=sort(cdel);
cnr=cnr(I);
clat=clat(I);
clon=clon(I);


lonint=[gnr glon glat gdel];
latint=[cnr clon clat cdel];

latint=sortrows(latint,[1 4]);
latint=[latint(1:2:end-1,:) latint(2:2:end,:)];

tmp=repmat(nan,nlat+1,8);
tmp(:,1)=(1:nlat+1)';
tmp(:,5)=(1:nlat+1)';

tmp(latint(:,1),:)=latint;

latint=tmp;

