function [lon2,lat2]=grcazim(lon1,lat1,delta,azim,minuscor)
% [LON2,LAT2]=GRCAZIM(LON1,LAT1,DELTA,AZIM)
% This function calculates the location of a point (LON2,LAT2) on
% a great circle going through point (LON1,LAT1) with the azimuth
% AZIM at angular distance DELTA from (LON1,LAT1)

defval('minuscor',1);

lat2 =asin(sin(lat1).*cos(delta)+cos(lat1).*sin(delta).*cos(azim));
dlon=atan2(sin(azim).*sin(delta).*cos(lat1),cos(delta)-sin(lat1).*sin(lat2));
lon2=mod( lon1-dlon+pi,2*pi )-pi;

if minuscor,       
  i=lon2<0;
  lon2(i)=lon2(i)+2*pi;
end
