function lat=grcgetlat(lon1,lat1,lon2,lat2,lon)

% LAT=grcgetlat(LON1,LAT1,LON2,LAT2,LON)
% Calculates lat intersection for given lon
% for a great circle connecting the two points. All entries must
% be in radians.
% Written by Hrafnkell Karason, karason@mit.edu

[latmax,lonmax]=apex(lat1,lon1,lat2,lon2);


if abs(lon1-lon2)<pi
	l=~(lon>min(lon1,lon2) & lon < max(lon1,lon2));
else
	l=~(lon<min(lon1,lon2) | lon > max(lon1,lon2));
end


e=tan(latmax);
lat=atan(e.*cos(lon-lonmax));
lat(l)=nan;








