function lon=grcircle(lon1,lat1,lon2,lat2,lat)

% LON=grcircle(LON1,LAT1,LON2,LAT2,LAT)
% Calculates the lon intersections for lat between the two points
% for a great circle connecting the two points. All entries must
% be in radians.
% Written by Hrafnkell Karason, karason@mit.edu

[latmax,lonmax]=apex(lat1,lon1,lat2,lon2);


lonmin=rem(latmax,2*pi);

e=tan(latmax);


if sin(lon1-lonmax)*sin(lon2-lonmax)<0

	if cos(lon1-lonmax)+cos(lon2-lonmax)>0
		w1=find(lat1<lat & latmax>lat);
		w2=find(lat2<lat & latmax>lat);
		w=[w1;w2];		
		if sin(lon1-lonmax)>0
			minus=[zeros(size(w1)); ones(size(w2))];
		else
			minus=[ones(size(w1)); zeros(size(w2))];
		end
	else
		w1=find(lat1>lat & -latmax<lat);
		w2=find(lat2>lat & -latmax<lat);
		w=[w1;w2];
		if sin(lon1-lonmax)>0
			minus=[zeros(size(w1)); ones(size(w2))];
		else
			minus=[ones(size(w1)); zeros(size(w2))];
		end
	end

else
	w=find(min(lat1,lat2)<lat & max(lat1,lat2)>lat);

	if sin(lon1-lonmax)>0
		minus=zeros(size(w));
	else
		minus=ones(size(w));
	end

end

	 
lon=repmat(nan,size(lat));
lon(w)=(1-2*minus).*acos(tan(lat(w))./e)+lonmax;









