function [longc,latgc,delta]=grcircle(lon1,lat1,lon2,lat2,longr,latgr)

% [LONGC,LATGC,DELTA]=grcircle(LON1,LAT1,LON2,LAT2,LONGR,LATGR)
% Calculates the grid intersections in latitude and longitude
% for a great circle connecting the two points. All entries must
% be in radians.
% Written by Hrafnkell Karason, karason@mit.edu

[latmax,lonmax]=apex(lat1,lon1,lat2,lon2);

if ~isempty(longr),
  if abs(2*pi-longr(end))/2/pi<1e-6,
if longr(end)~=2*pi,
  warning([ 'Changing the last value of longr to exactly 2*pi' 10 ...
         'possibly a result of conversion between float and double']);
   longr(end)=2*pi;
end
end  
end

if abs(lon1-lon2)<pi
	l=find(longr>min(lon1,lon2) & longr < max(lon1,lon2));
else
	l=find(longr<min(lon1,lon2) | longr > max(lon1,lon2));
end

lonmin=rem(latmax,2*pi);

e=tan(latmax);


if sin(lon1-lonmax)*sin(lon2-lonmax)<0

	if cos(lon1-lonmax)+cos(lon2-lonmax)>0
		w1=find(lat1<latgr & latmax>latgr);
		w2=find(lat2<latgr & latmax>latgr);
		w=[w1;w2];		
		if sin(lon1-lonmax)>0
			minus=[zeros(size(w1)); ones(size(w2))];
		else
			minus=[ones(size(w1)); zeros(size(w2))];
		end
	else
		w1=find(lat1>latgr & -latmax<latgr);
		w2=find(lat2>latgr & -latmax<latgr);
		w=[w1;w2];
		if sin(lon1-lonmax)>0
			minus=[zeros(size(w1)); ones(size(w2))];
		else
			minus=[ones(size(w1)); zeros(size(w2))];
		end
	end

else
	w=find(min(lat1,lat2)<latgr & max(lat1,lat2)>latgr);

	if sin(lon1-lonmax)>0
		minus=zeros(size(w));
	else
		minus=ones(size(w));
	end

end

	 


latca=atan(e.*cos(longr(l)-lonmax));

lonca=(1-2*minus).*acos(tan(latgr(w))./e)+lonmax;



latgc=[latgr(w);                        latca;     lat1; lat2];
longc=[rem(lonca, 2*pi)+2*pi*(lonca<0); longr(l); lon1; lon2];


delta = real(acos(sin(lat1).*sin(latgc)+cos(lat1).*cos(latgc).*cos(lon1-longc)));
[delta,j]=sort(delta);
longc=longc(j);
latgc=latgc(j);
break
keyboard
cross=find(diff(delta)<1e-6);
if ~isempty(cross),
  if abs(mod(longc(cross),2*pi))<1e-6,
    if abs(sum(sign(diff(longc))))<length(longc)-1,
      longc(cross:cross+1)=longc(cross+1:-1:cross);
    end
  end
end

  







