function [lon,lat]=grcpoint(lon1,lat1,lon2,lat2,delta,longerway)
% [LONM,LATM]=GRCPOINT(LON1,LAT1,LON2,LAT2,DELTA)
% This function calculates the location of a point (LONM,LATM) on
% a great circle connecting points (LON1,LAT1) and (LON2,LAT2)
% at angular distance DELTA from (LON1,LAT1) in
% the direction of (LON2,LAT2)

defval('longerway',0)

if longerway,
  [lonm,latm]=grcmidpoint(lon1,lat1,lon2,lat2);
  lonm=lonm+pi;
  latm=-latm;
  [lon,lat]=grcpoint(lon1,lat1,lonm,latm,delta);
else
  d=acos(sin(lat1).*sin(lat2)+cos(lat1).*cos(lat2).*cos(lon1-lon2));
  tc1=acos((sin(lat2)-sin(lat1).*cos(d))./(sin(d).*cos(lat1)));
  I=sin(lon2-lon1)>=0;
  tc1(I)=2*pi-tc1(I);
  [lon,lat]=grcazim(lon1,lat1,delta,tc1);
end

