function plotcr2(S,opts)

cla
hold on

%[xbox,ybox]=sliceframe(pi/2+opts.delta/2*[-1 1]);

if opts.doplot,
  if opts.grid,
    [S{1}.rgr,S{1}.thgr,S{1}.xgr,S{1}.ygr]=getslicegrid(S{1}.D,S{1}.I);
    S{1}.thgr=S{1}.thgr-opts.delta/2;
    if opts.rad(end)>3479.5;
      S{1}.rgr(S{1}.rgr<opts.rad(end))=opts.rad(end);
      [S{1}.xgr,S{1}.ygr]=pol2cart(S{1}.thgr,S{1}.rgr);
    end    
  end

  if opts.rad(end)>3479.5;
    [xx,yy]=meshgrid(S{1}.x,S{1}.y);
    rr=sqrt(xx.^2+yy.^2);
    toolow=find(rr<opts.rad(end));
    S{1}.A(toolow)=nan;

    linan=cumsum(sum(~isnan(S{1}.A),2));
    il=find(linan);
    S{1}.A=S{1}.A(il,:);
    S{1}.y=S{1}.y(il);
  end  
  if opts.doplot==1,

 
    if opts.transpose,
      h=imagenan(S{1}.y,S{1}.x,S{1}.A',opts.colorbar,opts.scale,opts.color);
      %plot(ybox,xbox,'k','linewidth',1)
      plot(S{1}.xgr,S{1}.ygr,'k','linewidth',0.3)
    else
      h=imagenan(S{1}.x,S{1}.y,S{1}.A,opts.colorbar,opts.scale,opts.color);
      %plot(xbox,ybox,'k','linewidth',1)
      plot(S{1}.ygr,S{1}.xgr,'k','linewidth',0.3)
    end
  elseif opts.doplot==2,
    %keyboard
    S{1}.A=S{1}.A-2*mean(S{1}.A(~isnan(S{1}.A)));
    h=pcolor(S{1}.x,S{1}.y,S{1}.A);
    
    cmap = colormap;
    if size(cmap,1) > size(opts.colorbar,1)
        shiftcolormap(S{1},opts, h, cmap)
    else
        colormap(opts.colorbar);
        caxis(opts.scale);
    end

%     colormap(opts.colorbar);
%     caxis(opts.scale)
    shading flat
    plot(S{1}.xgr,S{1}.ygr,'k','linewidth',0.3)
  end

end


if opts.topo
    hold on
    plot(S{1}.ez,S{1}.er,'k','linewidth',1.2);
    xxx = [S{1}.ez fliplr(S{1}.ez)];
    y_er = S{1}.er;
    index = find(S{1}.er<S{1}.eth);
    y_er(index) = S{1}.eth(index);
    yyy = [y_er fliplr(S{1}.eth)];
    fill(xxx,yyy,[0.7 0.7 0.7]);
    
    y_er = S{1}.er;
    index = find(S{1}.er>S{1}.eth);
    y_er(index) = S{1}.eth(index);
    yyy = [y_er fliplr(S{1}.eth)];
    fill(xxx,yyy,[0 1 1]);
end

if opts.box, 
  [xgrb,ygrb]=sliceframe(opts.delta+1e-5,opts.rad([end 1]));
  plot(xgrb,ygrb,'color',1-opts.color,'linewidth',1)  
  if length(opts.rad)>2,
    [xgrg,ygrg]=sliceframe(opts.delta,opts.rad(2:end-1));
    plot(xgrg,ygrg,'--k','linewidth',0.5)
  end
end

if opts.tikks, 
  delta=opts.delta;
  del=delta/pi*180;
  
  deltck=[fliplr(0:-opts.tikks:-(del/2)) opts.tikks:opts.tikks:(del/2)];
  [xs,ys]=pol2cart(deltck/180*pi+pi/2,6371);
  cl=get(gca,'xcolor');
  plot(xs,ys,'o','markerfacecolor',0.7*[1 1 1],'color',cl,'markersize',4)
  
  xx=diff(ylim)/20;
  ddel=0.15;
  [xl,yl]=pol2cart(pi/2+delta/2*(1+[ddel 0 ddel]),6371+xx*[-1 0 1]);
  plot(xl,yl,'color',cl,'linewidth',1);
  [xr,yr]=pol2cart(pi/2-delta/2*(1-[ddel 0 ddel]),6371+xx*[-1 0 1]);
  plot(xr,yr,'color',cl,'linewidth',1);
%   
  ftz=get(gca,'fontsize');
  ftw=get(gca,'fontweight');
  dr=0;
  
  if 1
  if opts.rad(end)==3479.5,
    bottxt='   CMB';
  else
    bottxt=[ '  ' num2str(6371-opts.rad(end)) ' km'];
  end
  [xbt,ybt]=pol2cart(pi/2-delta/2,opts.rad(end)-dr);
  bt=text(xbt*0,ybt,bottxt,'fontsize',ftz,'fontweight',ftw);
  set(bt,'verticalalignment','top','horizontalalignment','left');
   
  scltxt=['( ' char(177) num2str(opts.scale(2)*100,'%2.1f') '%) '];
  [xst,yst]=pol2cart(pi/2+delta/2,opts.rad(end)-dr);
  st=text(xst*0,yst,scltxt,'fontsize',ftz,'fontweight',ftw);
  set(st,'verticalalignment','top','horizontalalignment','right');
  end
end

axis image
axis off
