function setup(dV,sldef,hax,trans,gridon,cax,qu,tikks,doplot,rad,nr);

defval('gridon',1);
defval('cax',0.008);
defval('qu',0);
defval('tikks',5);
defval('doplot',1);
defval('moho',0);
defval('topo',1);
defval('rad',[6371 6371-[410 660 1700] 3479.5]);
defval('nr',[]);
nsl=min(length(hax),size(sldef,1));

if size(rad,1)==1,
  rad=repmat(rad,[nsl 1]);
end

if size(cax,1)==1,
  cax=repmat(cax,[nsl 1]);
end

if length(nr)==1,
  rad=repmat(rad,[nsl 1]);
end

for j=1:nsl,
  [lon1, lat1,lon2,lat2,nx,ny,lonm,latm]=evalsldef(sldef(j,:));
  angle(j)=grcdistance(lon1, lat1,lon2,lat2);
  opts(j).grid=gridon;
  if size(cax,2)==2,
    opts(j).scale=cax(j,:);
  else
    opts(j).scale=[-1 1]*cax(j);
  end
  %opts(j).scale=[-1 1]*0.1;
  opts(j).quakes=0;%qu;
  cmp=colormap;
  %opts(j).colorbar=widicol;
  %opts(j).colorbar=jethk3(128,30);
  opts(j).colorbar=flipud(jet);
  %opts(j).colorbar=flipud(gray);
  %opts(j).colorbar=repmat(linspace(1,0,10)',[1 3]);
  opts(j).delta=angle(j);
  opts(j).dist=0.5/180*pi;
  opts(j).color=[1 1 1];
%   opts(j).color=[0 0 0];
  opts(j).transpose=trans(min(length(trans),j));
  opts(j).box=1;
  opts(j).tikks=tikks;
  opts(j).moho=moho;
  opts(j).topo=topo;
  opts(j).doplot=doplot;
  opts(j).rad=rad(j,:);
  if size(nr)>0,
    opts(j).nr=nr(j);
  else
    opts(j).nr=[];
  end
end

if opts(j).doplot,
  S=getslices(dV,sldef(1:nsl,:));
  %save xser2 S;setja rth=1 i getslices
  %for j=1:2, Einhver utjofnun fyrir polinn svo hann liti vel ut
  %[ll,cc]=size(S{j}.A);
  %B=S{j}.A(:,cc/2+[-20:20]);
  %I=isnan(B);
  %B(I)=0;
  %f=linspace(1,0,21);
  %f=[f fliplr(f(1:end-1))];
  %ff=repmat(f,[ll 1]);
  %B=B.*ff;
  
  %B(I)=nan;
  %S{j}.A(:,cc/2+[-20:20])=B;
  %end
end


for j=1:nsl,
  axes(hax(j))
%   cla
  if ~opts(j).doplot,
    S{j}=pict;
  end
  
%   plotcr2keli(S(j),opts(j),hax(j));
  plotcr2(S(j),opts(j));
  
end
