%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  mkmap_MITP16.m 
%  Loads model MITP_USA_2016MAY on irregular grid and plots
%  map sections.  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

path('./mbin',path);

% Define depth for map section
d=200;
r=6371-d;

% Define color scale
L{1}.cax = [-1.2 1.2]/100;

% load model
dV=loadmitmodel16;

% Define longitude and latitude boundaries 
lons = [225 295];
lats = [25 50];

ax = [lons lats]*pi/180; 
longr=linspace(ax(1),ax(2),round(4*(ax(2)-ax(1))/pi*180+1))';
latgr=linspace(ax(3),ax(4),round(4*(ax(4)-ax(3))/pi*180+1))';

L=getlayers(r,dV,longr,latgr);

% Color scheme
L{1}.col=flipud(jet);

% Define number of grid points for interpolation
ngrx=240;
ngry=240;

% Show irregular grid?
irrgrid = 0;

% Plotting configuration
H=figure(1);
clf
ppos=[0.25 0.25 5.25 4];
set(H,'PaperOrientation','portrait','PaperUnits','inches','PaperPosition',ppos);
su=get(H,'Units'); 
set(H,'Units','inches');
spos = get(H,'Position'); 
set(H,'Position',[spos(1)-(ppos(3)-spos(3)) spos(2)-(ppos(4)-spos(4)) ppos(3) ppos(4)])
set(H,'Units',su);
ap=get(H,'position');
set(H,'position',[ap(1) ap(2)*2.2 ap(3) ap(4)])
layout(H,[1.2 1.2],'ss','xy')
L{1}.t1.fs=12;
L{1}.t2.fs=12;
plotwhlayer(L{1},1,ax,0,irrgrid);
  
scale=.6; % Adjust for different map shapes
set(H,'position',[ap(1) ap(2)+(ap(4)-scale*ap(3))/2 ap(3) scale*ap(3)]);
set(gca,'XTick',[],'YTick',[]);
box on;





