%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  mkslice_MITP16.m 
%  Loads model MITP_USA_2016MAY on irregular grid and plots
%  vertical cross sections along great circle arc between
%  endpoints.  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

path('./mbin',path);
%clear all; 

figure
clf

% Define number of grid points for interpolation
ngrx = 150; ngry = 150;

% Define lat and long endpoints for cross section
%lons = [230 290]; % Cross section fig 5
%lats = [33 30];  % CROSS SECTION 5A
%lats = [38 35];  % CROSS SECTION 5B
%lats = [43 40];  % CROSS SECTION 5C

lons = [230 270]; % Cross section fig 2
lats = [38 38];



sldef=[[lons(1) lats(1) lons(2) lats(2)]*pi/180 ngrx ngry 1]; 


% Define depths for guidelines and bottom of cross section
rad = 6371-[0 410 660 1000];

% Define color scale
cax = 1.0/100;

% Show irregular grid?
irrgrid = 0;

%Plotting info
subs=axes('position',[0 0 0.1 0.1]);
set(subs,'xcolor','k','fontsize',10);
thecross(0,sldef,subs,0,0,cax,0,5,0,rad,1);
dc=.6;
layout(subs,[0.5 0.50 dc dc],'mmdd','xyxy')

% Load model
dV=loadmitmodel16;

thecross(dV,sldef,subs,0,irrgrid,cax(1),1,5,1,rad);
